;*********** EQU for TI92+ ***********
Xmin	equ	5
Xmax	equ	235
Ymin	equ	5
Ymax	equ	90
XCenter	equ	120
YCenter	equ	44
YSpecial	equ	121
Address2YSpecial	equ	LCD_MEM+YSpecial*30

Getkey1	equ	$FFFD
Xminus	equ	5
Yminus	equ	6
Zminus	equ	7

Getkey2	equ	$FFFB
Xplus	equ	5
Yplus	equ	6
Zplus	equ	7

Getkey3	equ	$FEFF
ZoomIn	equ	3
ZoomOut	equ	2
SwitchMode	equ	4
Mode	equ	5
Exit	equ	6

ClrBuffer	equ	$3BF

OffSet	equ	$384
PointClip	equ	128*30-900
FlipOffset	equ	LCD_MEM+OffSet
NbrLoop	equ	$2A8
TriFlipLoop	equ	$2A8


InfoStr	MACRO
Info 		dc.b "Keys: MODE, ESC, 1-8, +, O, L",0
	EVEN
Special 	dc.b    "Engine&FgLib  by KTy  a.jalabert@ifrance.com   http://dba.ticalc.org",0
	EVEN
FormatString    dc.b    "%03d Points, %03d Faces sorted",0
	EVEN
Buffer          dc.b    "                          ",0
	ENDM

DrawStr	MACRO
	SetFont #1
	WriteStr #0,#0,#0,AInfo		;x,y,col,str	
	WriteStr #20,#10,#1,Info		;x,y,col,str
	SetFont #0
	WriteStr #0,#YSpecial,#1,Special		;x,y,col,str

        move.w          Object_NbFaces,-(a7)
        move.w          Object_NbPoints,-(a7)
        pea             FormatString(pc)
        pea             Buffer(pc)
        jsr             doorsos::sprintf
        lea             12(a7),a7

        move.w          #4,-(a7)
        pea             Buffer(pc)
        move.w          #19,-(a7)        ; y
        move.w          #2,-(a7)       ; x 
        jsr             doorsos::DrawStrXY
        lea             10(a7),a7

	ENDM