;----------------------------------------------------------------------------
; fline()		; From Jimmy Mardell, color implemented by Kty.
;
; Function: Draws a line, _FAST_
;
; Input:    d0.w = X1
;           d1.w = Y1
;           d2.w = X2
;           d3.w = Y2
;           fglib@0F00   = Address to top left corner (usually LCD_MEM)
;
; NO CLIPPING
;              
;----------------------------------------------------------------------------
linelib::fline  equ     fglib@0000
fglib::fline  equ     fglib@0000


;----------------------------------------------------------------------------
; ftriangle()
;
; Function: Draws a triangle, _FAST_
;
; Input:    d0.w = X1
;           d1.w = Y1
;           d2.w = X2
;           d3.w = Y2
;	    a2.w = X3
;	    a3.w = Y3
;           fglib@0F00   = Address to top left corner (usually LCD_MEM)
;               e.g:  move.l    #LCD_MEM,fglib@0F00
;
;
;	Use the include macro to change colors.
;
;
; NO CLIPPING
;              
;----------------------------------------------------------------------------
fglib::ftriangle       equ        fglib@0001


Version MACRO
 dc.b "  Powered by FgLib and DBA engine",0
  ENDM
