;***********************************************************
;***********************************************************
SortTriangle
;	clr.l	d2
	move.l	HandleSortedPtr,a0
	move.l	HandlePtsPtr,a1
	move.l	Object_Faces,a4
	move.l	HandleZPtr,a5
	move.w	Object_NbFaces,a6
	clr.w	Nb_visibles
	clr.w	d7
RepSortTri:
;	clr.l	d5			
;	clr.l	d6			
;	clr.l	d4
;	clr.l	d2
;	clr.l	d3

	move.w	(a4)+,d5		; pt A	
	move.w	(a4)+,d6		; pt B
	move.w	(a4)+,d4		; pt C
	lsl.w	#2,d5			
	lsl.w	#2,d6			
	lsl.w	#2,d4
	move.w	0(a1,d5.w),d0		;xA
	move.w	2(a1,d5.w),d1		;yA
	move.w	0(a1,d6.w),d2		;xB
	move.w	2(a1,d6.w),d3		;yB
	move.w	0(a1,d4.w),a2		;xC
	move.w	2(a1,d4.w),a3		;yC

	testClip	Invisible

	sub.w	d2,d0	;A1 = a.x - b.x
	sub.w	d3,d1	;B1 = a.y - b.y
	sub.w	d2,a2	;A2 = c.x - b.x
	sub.w	d3,a3	;B2 = c.y - b.y
	move.w	a2,d2
	move.w	a3,d3	
	muls.w	d3,d0	; A1*B2
	muls.w	d2,d1	; B1*A2
	sub.l	d1,d0	; A1*B2 - B1*A2		normal > 0 -> Face visible
	ble	Invisible

	lsr.w	#1,d5			
	lsr.w	#1,d6		
	lsr.w	#1,d4
	move.w	0(a5,d5.w),d0
	add.w	0(a5,d6.w),d0
	add.w	0(a5,d4.w),d0		;d0=zA+zB+zC

	move.w	d0,(a4)+		;Store Z depth
	lea.l	8(a4),a4		;skip color
	move.w  d7,(a0)+		;Face #d7 is visible
	addq.w	#1,Nb_visibles	
	bra	visible_
NothingToSee:
	rts
Invisible:
	lea.l	10(a4),a4
visible_:
	addq.w	#1,d7
	cmp.w	d7,a6
	bne	RepSortTri

	move.w  Nb_visibles,d1
	beq	NothingToSee
	subq.w	#1,d1
	clr.w	d0
	move.l	HandleSortedPtr,a0
	move.l	Object_Faces,a1
	move.w	d0,-(a7)
	move.w	d1,-(a7)
	bsr	QuickSort
	addq.l	#4,a7

